<?php
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
    echo 'Hi there!  I\'m just a plugin, I can\'t call directly.';
    exit;
}


/*
Plugin Name: 	WEB Theme Space Demos
Description: 	WEB Theme Space Demo installation plugin. Please install themes from Web Theme Space and continue installing demos.
Version: 		1.0.1
Author: 		wpbusinessthemes
Author URI: 	www.wpbusinessthemes.com
Tested up to: 	5.8
Text Domain: 	tsp-demos-nstaller
Generated By: 	http://wpbusinessthemes.com
License:        GPL-2.0+
Domain Path:    /languages
*/

/*Define Constants for this plugin*/
define( 'TSP_DEMOS_SETUP_VERSION', '1.0.1' );
define( 'TSP_DEMOS_SETUP_PLUGIN_NAME', 'tsp-demos' );
define( 'TSP_DEMOS_SETUP_PATH', plugin_dir_path( __FILE__ ) );
define( 'TSP_DEMOS_SETUP_URL', plugin_dir_url( __FILE__ ) );
define( 'TSP_DEMOS_SETUP_TEMPLATE_URL', TSP_DEMOS_SETUP_URL.'includes/demo-data/' );
define( 'TSP_DEMOS_SETUP_SCRIPT_PREFIX', ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-tsp-demos-activator.php
 */
function activate_TSP_DEMOS_setup() {
    require_once TSP_DEMOS_SETUP_PATH . 'includes/activator.php';
    TSP_DEMOS_Setup_Activator::activate();
}


/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require TSP_DEMOS_SETUP_PATH . 'includes/init.php';


/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-tsp-demos-deactivator.php
 */
function deactivate_TSP_DEMOS_setup() {
    require_once TSP_DEMOS_SETUP_PATH . 'includes/deactivator.php';
    TSP_DEMOS_Setup_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_TSP_DEMOS_setup' );
register_deactivation_hook( __FILE__, 'deactivate_TSP_DEMOS_setup' );

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
if( !function_exists( 'run_TSP_DEMOS_setup')){

    function run_TSP_DEMOS_setup() {

        return TSP_DEMOS_Setup::instance();
    }
    run_TSP_DEMOS_setup()->run();
}